﻿
    <h3 style="text-align:center">THỐNG KÊ TỈ LỆ TIÊM VACXIN</h3>

    @(Html.DevExtreme().TreeList<dbChange.Models.BaoCao.ThongKeMuiTiem_Theo_DonViTong>
    ()
    .DataSource(ds => ds.Mvc()
    .Controller("BaoCaoAPI1")
    .LoadAction("GetAll_ThongKeMuiTiem_Tong_TheoTaiKhoan")
    .UpdateAction("Put")
      .UpdateMethod("POST")
    .Key("Id")
    )
   .KeyExpr("Id")
    .ParentIdExpr("ParentId")
    .AutoExpandAll(true)
    .AllowColumnReordering(true)
    .RowAlternationEnabled(true)
    .ShowBorders(true)
    .FocusedRowEnabled(true)
    .SearchPanel(s => s
    .Visible(true)
    .HighlightCaseSensitive(true)
    )
    .WordWrapEnabled(false)
    .ShowColumnLines(true)
    .ShowRowLines(true)
    .RowAlternationEnabled(true)
    .AllowColumnResizing(true)

    .ColumnAutoWidth(true)
    .FilterRow(f => f.Visible(true))
    .HeaderFilter(h => h.Visible(true))


    .ColumnHidingEnabled(true)
    .ColumnResizingMode(ColumnResizingMode.Widget)
    .FocusedRowEnabled(true)
    .Columns(columns => {

        columns.AddFor(m => m.Id).Caption("#").HeaderCellTemplate(new JS("headerCellTemplate")).AllowEditing(false).Visible(false);
    


        columns.AddFor(m => m.ChiTietHienThi).Caption("Đơn Vị").HeaderCellTemplate(new JS("headerCellTemplate")).AllowEditing(false);


        columns.Add().Caption("Số lượng").Columns(c =>
        {

            c.AddFor(m => m.Mui1_DaTiem_SL).Caption("ĐÃ\r\nTIÊM\r\nMŨI 1").HeaderCellTemplate(new JS("headerCellTemplate")).Width(90)
            .Alignment(HorizontalAlignment.Center);

            c.AddFor(m => m.Mui2_DaTiem_SL).Caption("ĐÃ\r\nTIÊM\r\nMŨI 2").HeaderCellTemplate(new JS("headerCellTemplate")).Width(90)
          .Alignment(HorizontalAlignment.Center);
            c.AddFor(m => m.Mui1_ChuaTiem_SL).Caption("CHƯA\r\nTIÊM\r\nMŨI 1").HeaderCellTemplate(new JS("headerCellTemplate")).Width(90)
        .Alignment(HorizontalAlignment.Center);
            c.AddFor(m => m.Mui2_ChuaTiem_SL).Caption("CHƯA\r\nTIÊM\r\nMŨI 2").HeaderCellTemplate(new JS("headerCellTemplate")).Width(90)
        .Alignment(HorizontalAlignment.Center);


        }).HeaderCellTemplate(new JS("headerCellTemplate"));
        columns.Add().Caption("Tỉ lệ").Columns(c =>
        {
            c.AddFor(m => m.TiLe_Mui1_DaTiem_SL).Caption("ĐÃ\r\nTIÊM\r\nMŨI 1").HeaderCellTemplate(new JS("headerCellTemplate")).Width(90)
           .Alignment(HorizontalAlignment.Center).Format(Format.Percent);

            c.AddFor(m => m.TiLe_Mui2_DaTiem_SL).Caption("ĐÃ\r\nTIÊM\r\nMŨI 2").HeaderCellTemplate(new JS("headerCellTemplate")).Width(90)
          .Alignment(HorizontalAlignment.Center).Format(Format.Percent);
            c.AddFor(m => m.TiLe_Mui1_ChuaTiem_SL).Caption("CHƯA\r\nTIÊM\r\nMŨI 1").HeaderCellTemplate(new JS("headerCellTemplate")).Width(90)
        .Alignment(HorizontalAlignment.Center).Format(Format.Percent);
            c.AddFor(m => m.TiLe_Mui2_ChuaTiem_SL).Caption("CHƯA\r\nTIÊM\r\nMŨI 2").HeaderCellTemplate(new JS("headerCellTemplate")).Width(90)
        .Alignment(HorizontalAlignment.Center).Format(Format.Percent);
        }).HeaderCellTemplate(new JS("headerCellTemplate"));
        columns.Add().Caption("Số lượng").Columns(c =>
        {
            c.AddFor(m => m.SoLuongF0).Caption("F0").HeaderCellTemplate(new JS("headerCellTemplate")).Width(70)
           .Alignment(HorizontalAlignment.Center);


        }).HeaderCellTemplate(new JS("headerCellTemplate"));
        columns.Add().Caption("Kế hoạch tiêm chủng tiếp theo").Columns(c =>
        {
            c.AddFor(m => m.Mui1_KeHoachTiemTiepTheo).Caption("MŨI 1").HeaderCellTemplate(new JS("headerCellTemplate")).Width(120)
          .Alignment(HorizontalAlignment.Center);
            c.AddFor(m => m.Mui2_KeHoachTiemTiepTheo).Caption("MŨI 2").HeaderCellTemplate(new JS("headerCellTemplate")).Width(120)
        .Alignment(HorizontalAlignment.Center);


        }).HeaderCellTemplate(new JS("headerCellTemplate"));


        columns.AddFor(m => m.GhiChu).Caption("Ghi chú").HeaderCellTemplate(new JS("headerCellTemplate")).Width(120);

    })
    .Editing(e => e.AllowUpdating(false).AllowDeleting(false).AllowAdding(false))


    )

